    The XSPEC bmc model: Comptonization by relativistic matter.

xsbmc
The xsbmc model is an additive model component.

The model is described at [1] .

The loga parameter has been renamed log_a to match the XSPEC definition. The name loga can still be used to access the parameter, but this name will be removed in a future release.

>>> create_model_component("xsbmc", "mdl")
>>> print(mdl)

Create a component of the xsbmc model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.kT thawed 1 0.0001 200 keV mdl.alpha thawed 1 0.0001 6 mdl.log_A thawed 0 -8 8 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
kT
The temperature of the thermal photon source in keV.
alpha
The energy spectral index.
log_A
The log of the A parameter: see [1] for more details.
norm
The normalization of the model: see [1] for an explanation of the units.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelBmc.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023